add_comment
Post a comment to an issue
Direction: target (write via target_entries)
Collection: target_entries
Put this object on a phase in team.yml (YAML). The request body schema mirrors that phase.
POST
/
jira
/
add_comment
add_comment
curl --request POST \
--url https://docs.getcliq.io/jira/add_comment \
--header 'Content-Type: application/json' \
--data '
{
"name": "jira-add-comment",
"agent": "jira",
"action": "add_comment",
"target_entries": [
{
"name": "artifact",
"ref": "PROJ-123",
"file": "path/to/payload.txt"
}
]
}
'import requests
url = "https://docs.getcliq.io/jira/add_comment"
payload = {
"name": "jira-add-comment",
"agent": "jira",
"action": "add_comment",
"target_entries": [
{
"name": "artifact",
"ref": "PROJ-123",
"file": "path/to/payload.txt"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'jira-add-comment',
agent: 'jira',
action: 'add_comment',
target_entries: [{name: 'artifact', ref: 'PROJ-123', file: 'path/to/payload.txt'}]
})
};
fetch('https://docs.getcliq.io/jira/add_comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docs.getcliq.io/jira/add_comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'jira-add-comment',
'agent' => 'jira',
'action' => 'add_comment',
'target_entries' => [
[
'name' => 'artifact',
'ref' => 'PROJ-123',
'file' => 'path/to/payload.txt'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://docs.getcliq.io/jira/add_comment"
payload := strings.NewReader("{\n \"name\": \"jira-add-comment\",\n \"agent\": \"jira\",\n \"action\": \"add_comment\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"PROJ-123\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://docs.getcliq.io/jira/add_comment")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"jira-add-comment\",\n \"agent\": \"jira\",\n \"action\": \"add_comment\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"PROJ-123\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://docs.getcliq.io/jira/add_comment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"jira-add-comment\",\n \"agent\": \"jira\",\n \"action\": \"add_comment\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"PROJ-123\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"text": "<string>",
"data": {}
}Body
application/json
Phase configuration for this action (team.yml shape).
Phase name in team.yml
Example:
"jira-add-comment"
Must be jira
Available options:
jira Operation to run — add_comment
Available options:
add_comment Write targets for this action
Minimum array length:
1Show child attributes
Show child attributes
Pipeline lifecycle events this agent can handle (e.g. on_escalate, on_complete)
⌘I
add_comment
curl --request POST \
--url https://docs.getcliq.io/jira/add_comment \
--header 'Content-Type: application/json' \
--data '
{
"name": "jira-add-comment",
"agent": "jira",
"action": "add_comment",
"target_entries": [
{
"name": "artifact",
"ref": "PROJ-123",
"file": "path/to/payload.txt"
}
]
}
'import requests
url = "https://docs.getcliq.io/jira/add_comment"
payload = {
"name": "jira-add-comment",
"agent": "jira",
"action": "add_comment",
"target_entries": [
{
"name": "artifact",
"ref": "PROJ-123",
"file": "path/to/payload.txt"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'jira-add-comment',
agent: 'jira',
action: 'add_comment',
target_entries: [{name: 'artifact', ref: 'PROJ-123', file: 'path/to/payload.txt'}]
})
};
fetch('https://docs.getcliq.io/jira/add_comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docs.getcliq.io/jira/add_comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'jira-add-comment',
'agent' => 'jira',
'action' => 'add_comment',
'target_entries' => [
[
'name' => 'artifact',
'ref' => 'PROJ-123',
'file' => 'path/to/payload.txt'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://docs.getcliq.io/jira/add_comment"
payload := strings.NewReader("{\n \"name\": \"jira-add-comment\",\n \"agent\": \"jira\",\n \"action\": \"add_comment\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"PROJ-123\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://docs.getcliq.io/jira/add_comment")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"jira-add-comment\",\n \"agent\": \"jira\",\n \"action\": \"add_comment\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"PROJ-123\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://docs.getcliq.io/jira/add_comment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"jira-add-comment\",\n \"agent\": \"jira\",\n \"action\": \"add_comment\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"PROJ-123\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"text": "<string>",
"data": {}
}